Page MenuHomeFreeBSD

D23173.id66741.diff
No OneTemporary

D23173.id66741.diff

Index: usr.sbin/bsdinstall/bsdinstall.8
===================================================================
--- usr.sbin/bsdinstall/bsdinstall.8
+++ usr.sbin/bsdinstall/bsdinstall.8
@@ -114,12 +114,8 @@
If
.Ev BSDINSTALL_CONFIGCURRENT
is set, also configures the network interfaces of the current system to match.
-.It Cm autopart
-Provides the installer's interactive guided disk partitioner for single-disk
-installations.
-Defaults to UFS.
.It Cm zfsboot
-Provides an alternative ZFS-only automatic interactive disk partitioner.
+Provides a ZFS-only automatic interactive disk partitioner.
Creates a single
.Ic zpool
with separate datasets for
@@ -133,6 +129,10 @@
Optionally can set up
.Xr geli 8
to encrypt the disk.
+.It Cm autopart
+Provides the installer's interactive guided disk partitioner for single-disk
+installations.
+Defaults to UFS.
.It Cm partedit
Provides the installer's interactive manual disk partitioner with an interface
identical to
Index: usr.sbin/bsdinstall/scripts/auto
===================================================================
--- usr.sbin/bsdinstall/scripts/auto
+++ usr.sbin/bsdinstall/scripts/auto
@@ -289,7 +289,7 @@
CURARCH=$( uname -m )
case $CURARCH in
amd64|arm64|i386) # Booting ZFS Supported
- PMODES="$PMODES \"Auto (ZFS)\" \"Guided Root-on-ZFS\""
+ PMODES="\"Auto (ZFS)\" \"Guided Root-on-ZFS\" $PMODES"
;;
*) # Booting ZFS Unspported
;;
@@ -303,6 +303,10 @@
exec 3>&-
case "$PARTMODE" in
+"Auto (ZFS)") # ZFS
+ bsdinstall zfsboot || error "ZFS setup failed"
+ bsdinstall mount || error "Failed to mount filesystem"
+ ;;
"Auto (UFS)") # Guided
bsdinstall autopart || error "Partitioning error"
bsdinstall mount || error "Failed to mount filesystem"
@@ -319,10 +323,6 @@
else
bsdinstall partedit || error "Partitioning error"
fi
- bsdinstall mount || error "Failed to mount filesystem"
- ;;
-"Auto (ZFS)") # ZFS
- bsdinstall zfsboot || error "ZFS setup failed"
bsdinstall mount || error "Failed to mount filesystem"
;;
*)

File Metadata

Mime Type
text/plain
Expires
Wed, Jun 24, 7:42 PM (6 h, 22 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
34291927
Default Alt Text
D23173.id66741.diff (1 KB)

Event Timeline